| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Classes | Functions
gdayf.handlers.h2ohandler Namespace Reference

Define all objects, functions and structures related to executing actions or activities over h2o.ai framework. More...

## Classes
class | H2OHandler

## Functions
def | generate_commands_parameters (each_model, model_command, train_command, train_parameters_list)
| auxiliary function (procedure) to generate model and train chain paramters to execute models Modify model_command and train_command String to complete for eval() More...
def | get_tolerance (columns, objective_column, tolerance=0.0)
| Auxiliary function to get the level of tolerance for regression analysis. More...

## Detailed Description

Define all objects, functions and structures related to executing actions or activities over h2o.ai framework.

Main class H2OHandler. Lets us execute analysis, make prediction and execute multi-packet operations structures on format [(Analysis_results.json, normalization_sets.json) ] Analysis_results.json could contain executions models for various different model or parameters

## Function Documentation

## ◆ generate_commands_parameters()

def gdayf.handlers.h2ohandler.generate_commands_parameters | ( |  | each_model,
|  |  | model_command,
|  |  | train_command,
|  |  | train_parameters_list
| ) |  |

auxiliary function (procedure) to generate model and train chain paramters to execute models Modify model_command and train_command String to complete for eval()

Parameters

  each_model | object pointer
  model_command | String with model command definition base structure
  train_command | String with train command base structure
  train_parameters_list | list(ATypesMetadata) or compatible OrderedDict()

Definition at line 1507 of file h2ohandler.py.

Here is the caller graph for this function:

## ◆ get_tolerance()

def gdayf.handlers.h2ohandler.get_tolerance | ( |  | columns,
|  |  | objective_column,
|  |  | tolerance = `0.0`
| ) |  |

Auxiliary function to get the level of tolerance for regression analysis.

Parameters

  columns | list() of OrderedDict() [{Column description}]
  objective_column | String Column Objective
  tolerance | float [0.0, 1.0] (optional)

Returns
  float value for tolerance

Definition at line 1526 of file h2ohandler.py.

Here is the caller graph for this function: